Page MenuHomePhabricator

Special:AbuseFilter is inaccessible
Closed, ResolvedPublic

Description

Attempting to access Special:AbuseFilter results in the message, even for administrators (e.g., on hub)

You do not have permission to view abuse filters, for the following reason:
You are not allowed to execute the action you have requested.
Saftzie created this task.Dec 16 2016, 10:32 PM
lewiscawte assigned this task to jack.Dec 16 2016, 11:16 PM
lewiscawte added a subscriber: lewiscawte.

So it would appear that somewhere in the upgrade, AbuseFilter rights got unassigned (presumably by default upstream) and therefore resulting in sysops not having them. This, by way of array_merge, means staff also do not have.

lewiscawte triaged this task as Normal priority.Dec 16 2016, 11:16 PM
cook879 closed this task as Resolved.Dec 24 2016, 12:02 AM
cook879 added a subscriber: cook879.

Resolved by jack in rSHWK4047 and has been deployed

lewiscawte reopened this task as Open.Dec 24 2016, 12:36 AM
jack closed this task as Resolved.Jan 15 2017, 1:51 PM

This should now be fixed for good (ditto for T155).